#include <memory.h>
#include "md5.h"

void	MD5Reorder(unsigned char *buf, unsigned longs)
{
	static	unsigned short data=1;
	static  char *order=(char *)&data;
	uint32	t;
	
	/* little endian we ignore */

	if(!*order)
		return;

	/* big endian, we reverse */    

	while(longs--) 
	{
		t = (uint32) ((unsigned) buf[3] << 8 | buf[2]) << 16 |
	    		((unsigned) buf[1] << 8 | buf[0]);
		*(uint32 *) buf = t;
		buf += 4;
    	};
}
